AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIScript Class
AGIScript Methods
SayDateTime Method
SayDateTime Method (Int64)
SayDateTime Method (Int64, String)
SayDateTime Method (Int64, String, String)
SayDateTime Method (Int64, String, String, String)

| AGIScript SayDateTime Method (Int64, String, String)

Says the given time in the given format and allows interruption by one of the given escape digits.
Available since Asterisk 1.2.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected char SayDateTime(
    	long time,
    	string escapeDigits,
    	string format
    )

    Protected Function SayDateTime (
    	time As Long,
    	escapeDigits As String,
    	format As String
    ) As Char

    protected:
    wchar_t SayDateTime(
    	long long time,
    	String^ escapeDigits,
    	String^ format
    )

    member SayDateTime :
            time : int64 *
            escapeDigits : string *
            format : string -> char

#### Parameters

time
  Type: System
  Int64
  the time to say in seconds elapsed since 00:00:00 on January 1, 1970, Coordinated Universal Time (UTC)
escapeDigits
  Type: System
  String
  the digits that allow the user to interrupt this command or null for none.
format
  Type: System
  String
  the format the time should be said in

#### Return Value

Type: Char
the DTMF digit pressed or 0x0 if none was pressed.
See Also

#### Reference

AGIScript Class
SayDateTime Overload
AsterNET.FastAGI Namespace